🎉 MiniMax-M2.7: Peak Performance. Ultimate Value. Master the Complex. ➔ Try Now.





curl --request POST \
--url https://api.minimax.io/v1/files/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form purpose=voice_clone \
--form file='@example-file'{
"file": {
"file_id": 123456789012345680,
"bytes": 5896337,
"created_at": 1700469398,
"filename": "audio_sample.mp3",
"purpose": "voice_clone"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Use this API to upload audio files for voice cloning.
curl --request POST \
--url https://api.minimax.io/v1/files/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form purpose=voice_clone \
--form file='@example-file'{
"file": {
"file_id": 123456789012345680,
"bytes": 5896337,
"created_at": 1700469398,
"filename": "audio_sample.mp3",
"purpose": "voice_clone"
},
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}Documentation Index
Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
HTTP: Bearer Auth
Bearer API_key, can be found in Account Management>API Keys.Indicates the request is a multipart file upload.
multipart/form-data The purpose of the file. Supported values and formats:
mp3, m4a, wavvoice_clone "voice_clone"
The file to upload. Provide the path to the audio file.
Requirements for uploaded files: